Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 41 reacties
Bron: Mozilla

De ontwikkelaars van Mozilla hebben versie 2.0.0.15 van Firefox uitgebracht. Firefox is een opensource webbrowser die standaard voorzien is van tabbed browsing, een pop-up blocker en een rss-reader. Daarnaast is het mogelijk extra functionaliteit toe te voegen door middel van add-ons. Verder kan ook het uiterlijk van Firefox via themes gewijzigd worden. Versie 2.0.0.15 is een onderhoudsrelease met alleen maar beveilingupdates. De nieuwe Firefox kan vanaf deze pagina in diverse taaluitvoeringen voor Linux, Mac OS X en Windows gedownload worden. Welke lekken allemaal gedicht zijn, kan hieronder gelezen worden:

Fixed in Firefox 2.0.0.15
MFSA 2008-33 Crash and remote code execution in block reflow
MFSA 2008-32 Remote site run as local file via Windows URL shortcut
MFSA 2008-31 Peer-trusted certs can use alt names to spoof
MFSA 2008-30 File location URL in directory listings not escaped properly
MFSA 2008-29 Faulty .properties file results in uninitialized memory being used
MFSA 2008-28 Arbitrary socket connections with Java LiveConnect on Mac OS X
MFSA 2008-27 Arbitrary file upload via originalTarget and DOM Range
MFSA 2008-25 Arbitrary code execution in mozIJSSubScriptLoader.loadSubScript()
MFSA 2008-24 Chrome script loading from fastload file
MFSA 2008-23 Signed JAR tampering
MFSA 2008-22 XSS through JavaScript same-origin violation
MFSA 2008-21 Crashes with evidence of memory corruption (rv:1.8.1.15)
Versienummer:2.0.0.15
Releasestatus:Final
Besturingssystemen:Windows 9x, Windows NT, Windows 2000, Linux, Windows XP, macOS, Windows Server 2003, Windows Vista
Website:Mozilla
Download:http://www.mozilla.com/firefox/all-older.html
Bestandsgrootte:5,76MB
Licentietype:Voorwaarden (GNU/BSD/etc.)
Moderatie-faq Wijzig weergave

Reacties (41)

ik ga niet nalopen wat er allemaal gefixt is, maar het was ook wel hard nodig. Volgens Secunia is FF (2 èn 3) de meest onveilige browser van de 4 bekende (IE, FF, O, S)
De laatste van 3 uur geleden
Highly critical - Issued 3 hours ago.
Dat zegt niet bijzonder veel. Als je afgaat op het aantal bugs dat is vrijgegeven, dan is open source volledig kansloos. Open source software geeft altijd alle details vrij van bugs en hoe je ze kan nabootsen etc. Bugs voor IE worden enkel vrijgegeven als MS dat dunkt of als er een bekende 0-day in het wild is. Hoezo is IE veiliger, wie kan dat zeggen?
Secunia is nou niet bepaald een betrouwbare bron voor dit soort dingen. :D

Ten eerste vermelden ze alle de door de fabrikant vrijgegeven issues maar kunnen ze onmogelijk alle issues weten die je niet vrijgeeft. Je kunt als browser bouwer het beste uit de bus komen bij Secunia door al je lekken geheim te houden, niet door ze op te lossen. Je kunt 1000 vulnerabilities hebben waarvan er maar twee vermeld staan bij Secunia terwijl een concurent die alle 10 vulnerabilities openlijk vermeldt onveiliger lijkt te zijn.

Ten tweede heeft Secunia er financieel voordeel bij om zoveel mogelijk vulnerabilities te vermelden, hoe meer ze in de database hebben hoe beter het lijkt, of ze nou (nog) bestaan of niet. Ze worden er door sommige mensen van verdacht af en toe changelogs van programma's af en de database dan vol te stoppen met al opgeloste vulnerabilities die zogenaamd nog open staan. Dan mag de programeur Secunia ervan proberen te overtuigen dat iets al drie jaar geleden is opgelost. Niet iedereen heeft daar zin in en sommige hebben dat dan ook opgegeven.

Secunia is soms wel grappig maar voor vergelijkingen volstrekt waardeloos.
Ik vraag mij eigenlijk af hoe lang ze versie 2 nog zullen ondersteunen. Firefox 3 werkt immers niet meer op Windows 9x.
Iemand ideetje?
Van de "Download"-link:
Firefox 2.0.0.x will be maintained with security and stability updates until mid-December, 2008. All users are strongly encouraged to upgrade to Firefox 3.
6 maanden is de normale support-termijn na een major-release bij Mozilla :)

En je kunt ze toch niet echt kwalijk nemen dat win9x niet meer ondersteund wordt of wel? :X
Met de lage hardware kosten en het toegenomen computer gebruik kun je ze dat inderdaad niet kwalijk nemen. Alleen al qua sneller computer gebruikt rendeert het om te werken voor een nieuwe computer.
Euhm Opera 9.51 RC3 werkt ook gewoon nog op Windows 9x. En ik snap ook niet waarom een browser niet op 9x zou werken. Feitelijk hadden ze (MS) zelfs IE7 op 9x laten werken, maar dit deden ze niet omdat ze Vista willen verkopen.
Het is echter wel nadelig voor mensen aan de onderkant van de maatschappij die bijvoorbeeld van de gemeente hun computer krijgen (of heel goedkoop kunnen kopen). Hier zit namelijk vaak alleen een Windows 98 (SE) licentie bij.

Daarnaast moet ik wel toegeven dat deze mensen vaak niet eens weten wat een internet browser (eh, zoiets als Google? :+) precies is, maar alleen de term 'Internet Explorer' kennen en dus geen behoefte hebben aan een alternatieve browser.
Deze zeer kleine groep gebruikers kan dan altijd nog van versie 2 gebruik maken, met of zonder updates.......

als bijna niemand 2 meer gebruikt, zullen er ook niet snel exploits voor opduiken..
en ik denk dat na al die jaren de meeste (serieuze) lekken toch wel uit firefox zijn gehaald

..zo kan je anders natuurlijk wel blijven zeuren om updates... (voor DOS en zo .. ; )
..zo kan je anders natuurlijk wel blijven zeuren om updates... (voor DOS en zo .. ; )
Waarom zou ik? Arachne blijft gestaag updaten.
windows 9x word zelfs door microsoft zelf niet meer geondersteund, wrm zouden softwarebouwers dat dan nog moeten doen?

overstappen op ff3 is de boodschap
Je moet natuurlijk niets, echter is het wel zo dat als je een grote userbase wilt creëren je toch echt zoveel mogelijk platformen moet kunnen ondersteunen.
Ben niet geheel zeker, maar dacht dat Pareto toch ook meespeelt. Trouwens, het zou mij niet verwonderen dat het aandeel van Win9x reeds gezakt is onder het aandeel van Linux.

(effe zoeken) Zie je wel: http://www.w3schools.com/browsers/browsers_os.asp
ja overstappen op windows xp of vista :P
Dan is je windows nog meer veiliger dan Windows 9x of ME.
Of naar Linux natuurlijk. Wordt ook wel vaak vergeten O-)
Of naar Linux natuurlijk. Wordt ook wel vaak vergeten O-)
omdat dat te moeilijk is voor de gemiddelde consument.
Neem aan dat Windows 2k ook nog wel ondersteund wordt (dus niet Windows ME :z ) Ok als je toch Windows 2k gebruikt, kun je net zo goed op XP overstappen, verschil is nihil...
Maar het zou geen probleem moeten geven om FireFox 3 op windows 2k te gebruiken, sommige bedrijven gebruiken nog steeds Windows 2k icm XP
Het lijkt me dat zo goed als niemand windows 98 meer gebruikt...misschien in een paar ontwikkelingslanden nog ofzo?
Volgens Net Applications gebruikt 0,43% van de internet gebruikers Windows 98. Die mensen kunnen prima Firefox 2 blijven gebruiken, ook na afloop van de officiele ondersteuning. Als die mensen Windows 98 gebruiken dan vinden ze veiligheid waarschijnlijk sowieso niet belangrijk genoeg om zich zorgen te maken om Firefox 2 updates...
En mocht men toch nog gebruik willen maken van Fx 3.0 onder Win98, dan kan men een hackish work around vinden via de volgende site:
http://forums.mozillazine...pic.php?p=3408072#3408072
Of misschien hebben ze dan een systeem wat geen nieuwere Windows -versie kan draaien? O-)
Yup, had laatst een klantje, die had oude laptop, p 133 met 64 mb , en win98 liep er vrij ok op. Heb er Firefox opgedondert, zodat ze toch vrij veilig surft.
jammer alleen dat FF de meest onveilige browser is ;)
had dan Opera genomen.
zie frontpage mijn commentaar.
volgens mij zul je daar nog van opkijken hoeveel 98 nog hebben
Ze kunnen dan beter een afgeslankte versie van XP (zoals Windows Fundamentals for Legacy PCs) gaan gebruiken.
Heel erg veel reclame/informatie zuilen draaien nog op win9x omdat deze snel boot en op een kleine flash drive past. Daarnaast wordt win9x ook nog steeds gebruikt bij industriele processen voor de aansturing/monitoring.

Overigens heb ik ook nog steeds een dos/win311 + een win98 machine staan voor enkele spellen (waaronder NFS Porsche en slipstream 5000) welke onder XP niet werken.

Het aandeel win9x gebruikers dat het OS ook daadwerkelijk gebruikt om op internet te surfen zal inderdaad erg klein zijn, maar niet verwaarloosbaar.
Nou ja, verwaarloosbaar betekent niet nul, het betekent letterlijk "te weinig om rekening mee te hoeven houden". In die zin is het aandeel dus zeker verwaarloosbaar.

Aangezien een pin automaat of industriele draaibank sowieso geen Firefox nodig heeft maakt het ook niet uit of er buiten internet gebruikers wél nog veel toepassingen voor Win98 zijn.
Industriele processen: prima, maar die hebben geen nieuwe browser nodig. Sterker nog: die apparaten hangen waarschijnlijk niet eens aan internet

En de rest eigenlijk ook niet: die mensen gebruiken een OS waar MS ook al bijna 2 jaar geen security-updates meer voor uitbrengt, dus die mensen hebben blijkbaar geen behoefte aan veiligheid. Die kunnen dus ook prima een ungesupporte Firefox 2 blijven draaien na december.
En gebruikt die opa van je dan ook steeds de nieuwste versie van Firefox? (laat staan dat hij firefox gebruikt). Iemand die nog met een Windows 9x zit, is ook niet geïnteresseerd in de laatste versie van Firefox.
Jup, hij gebruikt FF. Tenminste, ik heb het geinstalleerd en alle icoontjes naar IE verwijderd. Of hij moet een manier gevonden hebben om alsnog IE te starten. Maar naar mijn weten gebruikt hij nogsteeds FF.

Moet misschien maar weer is langs gaan :)
zij zelf niet, maar als zoon/ kleinzoon de pc van pa of opa een beetje bijhoudt en dat is het oude beestje van de jongste telg wat voor die mensen nog goed genoeg is (beetje mail, internet en word en echt snel hoeft het niet te gaan) dan kom je heus nog vaak genoeg firefox tegen op 98se bakken.
Bij mij is FireFox 3 instabiel (crashes, freezes). Moet wel zeggen dat ik nog XP SP1 draai dus misschien heeft dat invloed. FF 2.0.0.14 draait prima, zeer stabiel zoals altijd.

Blijf nog even bij de 2 serie en wacht wel een paar FF3 bugfixes af.
Dat probleem had ik in het begin ook (XP SP2), maar de laatste dagen is het geen probleem meer en werkt het weer zoals het hoort.

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True